<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>NavigationManager.TrafficRerouteListener (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NavigationManager.TrafficRerouteListener (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NavigationManager.TrafficRerouteListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficAvoidanceMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html" target="_top">Frames</a></li>
<li><a href="NavigationManager.TrafficRerouteListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.guidance</div>
<h2 title="Class NavigationManager.TrafficRerouteListener" class="title">Class NavigationManager.TrafficRerouteListener</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.guidance.NavigationManager.TrafficRerouteListener</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.html" title="class in com.here.android.mpa.guidance">NavigationManager</a></dd>
</dl>
<hr>
<br>
<pre>public abstract static class <span class="typeNameLabel">NavigationManager.TrafficRerouteListener</span>
extends java.lang.Object</pre>
<div class="block">This adapter class receives notifications from <code>NavigationManager</code> that indicates
 traffic re-routing events due to the use of different <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficAvoidanceMode.html" title="enum in com.here.android.mpa.guidance"><code>NavigationManager.TrafficAvoidanceMode</code></a>s.
 <p>
 It provides an empty implementation by default. Sub-class of this adapter can selectively
 override methods that are of interest.
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.html#setTrafficAvoidanceMode-com.here.android.mpa.guidance.NavigationManager.TrafficAvoidanceMode-"><code>NavigationManager.setTrafficAvoidanceMode(TrafficAvoidanceMode)</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState.html" title="enum in com.here.android.mpa.guidance">NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState</a></span></code>
<div class="block">Enum used to describes the current route re-calculation due to traffic's status.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html#TrafficRerouteListener--">TrafficRerouteListener</a></span>()</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html#onTrafficRerouteBegin-com.here.android.mpa.guidance.TrafficNotification-">onTrafficRerouteBegin</a></span>(<a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance">TrafficNotification</a> notification)</code>
<div class="block">Callback that is triggered when traffic-based route re-calculation has begun as a result
 of of a <a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance"><code>TrafficNotification</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html#onTrafficRerouted-com.here.android.mpa.routing.RouteResult-">onTrafficRerouted</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a> newRouteResult)</code>
<div class="block">Callback to indicate a new <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> that has been
 calculated as a result of <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficAvoidanceMode.html#MANUAL"><code>NavigationManager.TrafficAvoidanceMode.MANUAL</code></a> being in use.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html#onTrafficRerouteFailed-com.here.android.mpa.guidance.TrafficNotification-">onTrafficRerouteFailed</a></span>(<a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance">TrafficNotification</a> notification)</code>
<div class="block">Callback that is triggered when traffic-based route re-calculation has failed.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html#onTrafficRerouteState-com.here.android.mpa.guidance.NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState-">onTrafficRerouteState</a></span>(<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState.html" title="enum in com.here.android.mpa.guidance">NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState</a> state)</code>
<div class="block">Callback to inform the user about current state of traffic enabled routing feature.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TrafficRerouteListener--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TrafficRerouteListener</h4>
<pre>public TrafficRerouteListener()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onTrafficRerouted-com.here.android.mpa.routing.RouteResult-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTrafficRerouted</h4>
<pre>public void onTrafficRerouted(<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a> newRouteResult)</pre>
<div class="block">Callback to indicate a new <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> that has been
 calculated as a result of <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficAvoidanceMode.html#MANUAL"><code>NavigationManager.TrafficAvoidanceMode.MANUAL</code></a> being in use. The new
 <code>Route</code> is the fastest available at the time of the route calculation. Note:
 Clients can call <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.html#setRoute-com.here.android.mpa.routing.Route-"><code>NavigationManager.setRoute(Route)</code></a> from
 <a href="../../../../../com/here/android/mpa/routing/RouteResult.html#getRoute--"><code>RouteResult.getRoute()</code></a> to
  this new route.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newRouteResult</code> - The result indicating the new route.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/RouteResult.html#getViolatedOptions--"><code>RouteResult.getViolatedOptions()</code></a></dd>
</dl>
</li>
</ul>
<a name="onTrafficRerouteFailed-com.here.android.mpa.guidance.TrafficNotification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTrafficRerouteFailed</h4>
<pre>public void onTrafficRerouteFailed(<a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance">TrafficNotification</a> notification)</pre>
<div class="block">Callback that is triggered when traffic-based route re-calculation has failed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>notification</code> - The <a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance"><code>TrafficNotification</code></a> associated with the callback.</dd>
</dl>
</li>
</ul>
<a name="onTrafficRerouteBegin-com.here.android.mpa.guidance.TrafficNotification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTrafficRerouteBegin</h4>
<pre>public void onTrafficRerouteBegin(<a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance">TrafficNotification</a> notification)</pre>
<div class="block">Callback that is triggered when traffic-based route re-calculation has begun as a result
 of of a <a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance"><code>TrafficNotification</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>notification</code> - The <a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance"><code>TrafficNotification</code></a> contains the avoided traffic events.</dd>
</dl>
</li>
</ul>
<a name="onTrafficRerouteState-com.here.android.mpa.guidance.NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onTrafficRerouteState</h4>
<pre>public void onTrafficRerouteState(<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState.html" title="enum in com.here.android.mpa.guidance">NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState</a> state)</pre>
<div class="block">Callback to inform the user about current state of traffic enabled routing feature. Note
 that this callback will be triggered repeatedly during navigation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - An enum <code>TrafficEnabledRoutingState</code> representing the current traffic
            enabled routing state.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.html#setTrafficAvoidanceMode-com.here.android.mpa.guidance.NavigationManager.TrafficAvoidanceMode-"><code>NavigationManager.setTrafficAvoidanceMode(TrafficAvoidanceMode)</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NavigationManager.TrafficRerouteListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficAvoidanceMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html" target="_top">Frames</a></li>
<li><a href="NavigationManager.TrafficRerouteListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
